dnl defines some paths for use in configure scripts and programs

AC_DEFUN(UDS_PATHS, [
eval uds_prefix=$(echo $prefix | sed s#NONE#"$ac_default_prefix"#)
eval uds_exec_prefix=$(echo $exec_prefix | sed s#NONE#"$uds_prefix"#)
eval uds_sysconfdir=$sysconfdir
eval uds_sysconfdir=$(echo $uds_sysconfdir | sed s#NONE#"$uds_prefix"#)
eval uds_libdir=$libdir
eval uds_libdir=$(echo $uds_libdir | sed s#NONE#"$uds_exec_prefix"#)

AC_DEFINE_UNQUOTED(PREFIX,"$uds_prefix",[prefix directory])
AC_DEFINE_UNQUOTED(EXEC_PREFIX,"$uds_exec_prefix",[exec prefix directory])
AC_DEFINE_UNQUOTED(SYSCONFDIR,"$uds_sysconfdir",[config file directory])
AC_DEFINE_UNQUOTED(LIBDIR,"$uds_libdir",[library directory])
])
